# onNameNotPresent

Field in [DialogueCharacterNameView](/2.2/api/csharp/yarn.unity/yarn.unity.dialoguecharacternameview.md)

## Summary

Invoked when a line is received that doesn't contain a character name.

```csharp
public UnityEvent onNameNotPresent;
```

## Remarks

Games can use this event to hide the name UI.

## See Also

* [DialogueCharacterNameView.onNameUpdate](/2.2/api/csharp/yarn.unity/yarn.unity.dialoguecharacternameview/yarn.unity.dialoguecharacternameview.onnameupdate.md): Invoked when a line is received that contains a character name. The name is given as the parameter.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.dialoguecharacternameview/yarn.unity.dialoguecharacternameview.onnamenotpresent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
